OGRE: Ogre::ConfigDialog Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ConfigDialog Class Reference
Core » General

Defines the behaviour of an automatic renderer configuration dialog. More...

`#include <OgreConfigDialogImpWinRT.h>`

Inheritance diagram for Ogre::ConfigDialog:
[legend]

## Public Member Functions
| ConfigDialog ()
| ConfigDialog ()
| ConfigDialog ()
| ConfigDialog ()
| ConfigDialog ()
| ConfigDialog ()
| ConfigDialog ()
| ConfigDialog ()
| ConfigDialog ()
virtual | ~ConfigDialog ()
virtual | ~ConfigDialog ()
virtual | ~ConfigDialog ()
virtual | ~ConfigDialog ()
virtual | ~ConfigDialog ()
virtual | ~ConfigDialog ()
virtual | ~ConfigDialog ()
virtual | ~ConfigDialog ()
virtual | ~ConfigDialog ()
void | cancel ()
void | cancel ()
void | cancel ()
virtual bool | display ()
virtual bool | display ()
virtual bool | display ()
| Displays the dialog. More...
virtual bool | display ()
| Displays the dialog. More...
virtual bool | display ()
virtual bool | display ()
| Displays the dialog. More...
virtual bool | display ()
virtual bool | display ()
| Displays the dialog. More...
virtual bool | display ()
| Displays the dialog. More...
void | initialise ()
void | initialise ()
void | initialise ()
void | initialise ()
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | run ()
void | run ()
void | run ()

## Detailed Description

Defines the behaviour of an automatic renderer configuration dialog.

Remarks
  OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Author
  Steven J. Streeting

Remarks
  OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Author
  Andrew Zabolotny zap@h.nosp@m.omel.nosp@m.ink.r.nosp@m.u

## Constructor & Destructor Documentation

## ◆ ConfigDialog() [1/9]

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

## ◆ ~ConfigDialog() [1/9]

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |
| virtual

## ◆ ConfigDialog() [2/9]

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

## ◆ ~ConfigDialog() [2/9]

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |
| virtual

## ◆ ConfigDialog() [3/9]

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

## ◆ ~ConfigDialog() [3/9]

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |
| inlinevirtual

## ◆ ConfigDialog() [4/9]

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

## ◆ ~ConfigDialog() [4/9]

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |
| inlinevirtual

## ◆ ConfigDialog() [5/9]

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

## ◆ ~ConfigDialog() [5/9]

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |
| virtual

## ◆ ConfigDialog() [6/9]

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

## ◆ ~ConfigDialog() [6/9]

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |
| inlinevirtual

## ◆ ConfigDialog() [7/9]

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

## ◆ ~ConfigDialog() [7/9]

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |
| virtual

## ◆ ConfigDialog() [8/9]

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

## ◆ ~ConfigDialog() [8/9]

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |
| virtual

## ◆ ConfigDialog() [9/9]

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

## ◆ ~ConfigDialog() [9/9]

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ cancel() [1/3]

void Ogre::ConfigDialog::cancel | ( |  | ) |

## ◆ cancel() [2/3]

void Ogre::ConfigDialog::cancel | ( |  | ) |

## ◆ cancel() [3/3]

void Ogre::ConfigDialog::cancel | ( |  | ) |

## ◆ display() [1/9]

virtual bool Ogre::ConfigDialog::display | ( |  | ) |
| virtual

## ◆ display() [2/9]

virtual bool Ogre::ConfigDialog::display | ( |  | ) |
| virtual

## ◆ display() [3/9]

virtual bool Ogre::ConfigDialog::display | ( |  | ) |
| virtual

Displays the dialog.

Remarks
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also
  RenderSystem

## ◆ display() [4/9]

virtual bool Ogre::ConfigDialog::display | ( |  | ) |
| virtual

Displays the dialog.

Remarks
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also
  RenderSystem

## ◆ display() [5/9]

virtual bool Ogre::ConfigDialog::display | ( |  | ) |
| virtual

## ◆ display() [6/9]

virtual bool Ogre::ConfigDialog::display | ( |  | ) |
| virtual

Displays the dialog.

Remarks
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also
  RenderSystem

## ◆ display() [7/9]

virtual bool Ogre::ConfigDialog::display | ( |  | ) |
| virtual

## ◆ display() [8/9]

virtual bool Ogre::ConfigDialog::display | ( |  | ) |
| virtual

Displays the dialog.

Remarks
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also
  RenderSystem

## ◆ display() [9/9]

virtual bool Ogre::ConfigDialog::display | ( |  | ) |
| virtual

Displays the dialog.

Remarks
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also
  RenderSystem

## ◆ initialise() [1/4]

void Ogre::ConfigDialog::initialise | ( |  | ) |

## ◆ initialise() [2/4]

void Ogre::ConfigDialog::initialise | ( |  | ) |

## ◆ initialise() [3/4]

void Ogre::ConfigDialog::initialise | ( |  | ) |

## ◆ initialise() [4/4]

void Ogre::ConfigDialog::initialise | ( |  | ) |

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ run() [1/3]

void Ogre::ConfigDialog::run | ( |  | ) |

## ◆ run() [2/3]

void Ogre::ConfigDialog::run | ( |  | ) |

## ◆ run() [3/3]

void Ogre::ConfigDialog::run | ( |  | ) |

The documentation for this class was generated from the following files:

- Android/OgreConfigDialogImp.h
- OgreConfigDialogImpWinRT.h